First time install linux Fedora 38 problems

Hello, it’s my first time I installed linux, so I am a newbie. I installed linux to work with CUDA and machine learning/deep learning. I installed the rpm fusion drivers for NVIDIA and use conda for the enviroments. The problem is that the UI (I use KDE) glitch/freeze (e.g the time freeze, the bottom bar freeze and the time remain the same or can’t really click on bottom things) and sometimes it randomly freeze all the system in which I have to turn off the computer. I have this logs https://paste.rs/SXtcF when it crashed. Can someone help me understand what’s the problem and how can I fix it? Thanks! I have also other logs https://paste.rs/wwO58 and https://paste.rs/dVd6J

Welcome to the :fedora: forum.

Please post the output of inxi -Fzxxx along with dnf list installed \*nvidia\* and nvidia-smi.

Use the preformatted text tags from the </> button on the toolbar to retain the formatting of the text as seen on your screen.

Thanks :slight_smile:
There there is the output:

[klinda@superleague ~]$ inxi -Fzxxx
System:
  Kernel: 6.5.8-200.fc38.x86_64 arch: x86_64 bits: 64 compiler: gcc
    v: 2.39-15.fc38 clocksource: tsc Desktop: KDE Plasma v: 5.27.8 tk: Qt
    v: 5.15.10 wm: kwin_wayland vt: 2 dm: SDDM Distro: Fedora release 38
    (Thirty Eight)
Machine:
  Type: Desktop Mobo: ASRock model: Z77 Extreme4 serial: <superuser required>
    UEFI: American Megatrends v: P1.20 date: 03/08/2012
CPU:
  Info: quad core model: Intel Core i5-3570K bits: 64 type: MCP
    smt: <unsupported> arch: Ivy Bridge rev: 9 cache: L1: 256 KiB L2: 1024 KiB
    L3: 6 MiB
  Speed (MHz): avg: 1609 high: 1638 min/max: 1600/3800 cores: 1: 1600
    2: 1600 3: 1638 4: 1600 bogomips: 27198
  Flags: avx ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx
Graphics:
  Device-1: Intel IvyBridge GT2 [HD Graphics 4000] vendor: ASRock driver: i915
    v: kernel arch: Gen-7 ports: active: none empty: DP-1, DP-2, DP-3,
    HDMI-A-1, HDMI-A-2, HDMI-A-3, VGA-1 bus-ID: 00:02.0 chip-ID: 8086:0162
    class-ID: 0380
  Device-2: NVIDIA TU116 [GeForce GTX 1660 SUPER] vendor: Micro-Star MSI
    driver: nvidia v: 535.113.01 arch: Turing pcie: speed: 2.5 GT/s lanes: 8
    ports: active: none off: DP-6 empty: DP-4,DP-5,HDMI-A-4 bus-ID: 02:00.0
    chip-ID: 10de:21c4 class-ID: 0300
  Device-3: KYE Systems (Mouse Systems) [] driver: snd-usb-audio,uvcvideo
    type: USB rev: 2.0 speed: 480 Mb/s lanes: 1 bus-ID: 7-2:2 chip-ID: 0458:6006
    class-ID: 0102 serial: <filter>
  Display: wayland server: X.org v: 1.20.14 with: Xwayland v: 22.1.9
    compositor: kwin_wayland driver: X: loaded: modesetting unloaded: fbdev,vesa
    dri: nouveau,crocus gpu: i915,nvidia display-ID: 0
  Monitor-1: DP-6 res: 1920x1080 size: N/A modes: N/A
  API: EGL v: 1.5 hw: drv: intel crocus drv: nvidia platforms: device: 0
    drv: nvidia device: 2 drv: crocus device: 3 drv: swrast gbm: drv: nvidia
    surfaceless: drv: nvidia wayland: drv: nvidia x11: drv: swrast
    inactive: device-1
  API: OpenGL v: 4.6.0 vendor: nvidia v: 535.113.01 glx-v: 1.4
    direct-render: yes renderer: NVIDIA GeForce GTX 1660 SUPER/PCIe/SSE2
    display-ID: :0.0
  API: Vulkan v: 1.3.243 layers: 2 surfaces: xcb,xlib,wayland device: 0
    type: discrete-gpu driver: nvidia device-ID: 10de:21c4 device: 1
    type: integrated-gpu driver: mesa intel device-ID: 8086:0162 device: 2
    type: cpu driver: mesa llvmpipe device-ID: 10005:0000
Audio:
  Device-1: Intel 7 Series/C216 Family High Definition Audio
    vendor: ASRock Z77 Extreme4 driver: snd_hda_intel v: kernel bus-ID: 00:1b.0
    chip-ID: 8086:1e20 class-ID: 0403
  Device-2: NVIDIA TU116 High Definition Audio vendor: Micro-Star MSI
    driver: snd_hda_intel v: kernel pcie: speed: 8 GT/s lanes: 8 bus-ID: 02:00.1
    chip-ID: 10de:1aeb class-ID: 0403
  Device-3: Kingston HyperX 7.1 Audio
    driver: hid-generic,snd-usb-audio,usbhid type: USB rev: 2.0 speed: 12 Mb/s
    lanes: 1 bus-ID: 1-1.4:4 chip-ID: 0951:16a4 class-ID: 0300
    serial: <filter>
  Device-4: KYE Systems (Mouse Systems) [] driver: snd-usb-audio,uvcvideo
    type: USB rev: 2.0 speed: 480 Mb/s lanes: 1 bus-ID: 7-2:2 chip-ID: 0458:6006
    class-ID: 0102 serial: <filter>
  API: ALSA v: k6.5.8-200.fc38.x86_64 status: kernel-api
  Server-1: PipeWire v: 0.3.83 status: active with: 1: pipewire-pulse
    status: active 2: wireplumber status: active 3: pipewire-alsa type: plugin
    4: pw-jack type: plugin
Network:
  Device-1: Broadcom NetLink BCM57781 Gigabit Ethernet PCIe
    vendor: ASRock Z77 Extreme4 driver: tg3 v: kernel pcie: speed: 2.5 GT/s
    lanes: 1 port: N/A bus-ID: 05:00.0 chip-ID: 14e4:16b1 class-ID: 0200
  IF: enp5s0 state: up speed: 1000 Mbps duplex: full mac: <filter>
Drives:
  Local Storage: total: 1.17 TiB used: 29.98 GiB (2.5%)
  ID-1: /dev/sda vendor: Samsung model: SSD 830 Series size: 238.47 GiB
    speed: 6.0 Gb/s tech: SSD serial: <filter> fw-rev: 3B1Q scheme: GPT
  ID-2: /dev/sdb vendor: Western Digital model: WD10EZRX-00A8LB0
    size: 931.51 GiB speed: 6.0 Gb/s tech: N/A serial: <filter> fw-rev: 1A01
    scheme: MBR
  ID-3: /dev/sdc vendor: HP model: x765w size: 28.9 GiB type: USB rev: 2.1
    spd: 480 Mb/s lanes: 1 tech: N/A serial: <filter> fw-rev: PMAP scheme: MBR
Partition:
  ID-1: / size: 50.97 GiB used: 29.7 GiB (58.3%) fs: btrfs dev: /dev/sda6
  ID-2: /boot size: 973.4 MiB used: 245.8 MiB (25.3%) fs: ext4
    dev: /dev/sda5
  ID-3: /boot/efi size: 96 MiB used: 43.5 MiB (45.3%) fs: vfat
    dev: /dev/sda1
  ID-4: /home size: 50.97 GiB used: 29.7 GiB (58.3%) fs: btrfs
    dev: /dev/sda6
Swap:
  ID-1: swap-1 type: zram size: 8 GiB used: 0 KiB (0.0%) priority: 100
    dev: /dev/zram0
Sensors:
  System Temperatures: cpu: 33.0 C mobo: N/A
  Fan Speeds (rpm): N/A
Info:
  Processes: 387 Uptime: 1m wakeups: 0 Memory: total: 16 GiB
  available: 15.5 GiB used: 2.66 GiB (17.1%) Init: systemd v: 253
  target: graphical (5) default: graphical Compilers: gcc: 13.2.1 Packages:
  pm: rpm pkgs: N/A note: see --rpm Shell: Bash v: 5.2.15 running-in: konsole
  inxi: 3.3.30

klinda@superleague ~]$ dnf list installed \*nvidia\* 
Installed Packages
kmod-nvidia-6.5.8-200.fc38.x86_64.x86_64                                          3:535.113.01-1.fc38                                          @@commandline             
nvidia-gpu-firmware.noarch                                                        20231030-1.fc38                                              @updates                  
nvidia-persistenced.x86_64                                                        3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
nvidia-settings.x86_64                                                            3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia.x86_64                                                        3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-cuda.x86_64                                                   3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-cuda-libs.x86_64                                              3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-libs.x86_64                                                   3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-power.x86_64                                                  3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
[klinda@superleague ~]$ 

[klinda@superleague ~]$ nvidia-smi
Fri Nov  3 21:09:46 2023       
+---------------------------------------------------------------------------------------+
| NVIDIA-SMI 535.113.01             Driver Version: 535.113.01   CUDA Version: 12.2     |
|-----------------------------------------+----------------------+----------------------+
| GPU  Name                 Persistence-M | Bus-Id        Disp.A | Volatile Uncorr. ECC |
| Fan  Temp   Perf          Pwr:Usage/Cap |         Memory-Usage | GPU-Util  Compute M. |
|                                         |                      |               MIG M. |
|=========================================+======================+======================|
|   0  NVIDIA GeForce GTX 1660 ...    Off | 00000000:02:00.0  On |                  N/A |
| 43%   30C    P8               9W / 125W |    400MiB /  6144MiB |     13%      Default |
|                                         |                      |                  N/A |
+-----------------------------------------+----------------------+----------------------+
                                                                                         
+---------------------------------------------------------------------------------------+
| Processes:                                                                            |
|  GPU   GI   CI        PID   Type   Process name                            GPU Memory |
|        ID   ID                                                             Usage      |
|=======================================================================================|
|    0   N/A  N/A      1189      G   /usr/bin/kwalletd5                            1MiB |
|    0   N/A  N/A      1396      G   /usr/bin/kwin_wayland                        64MiB |
|    0   N/A  N/A      1461      G   /usr/bin/Xwayland                             2MiB |
|    0   N/A  N/A      1487      G   /usr/bin/ksmserver                            1MiB |
|    0   N/A  N/A      1489      G   /usr/bin/kded5                                1MiB |
|    0   N/A  N/A      1521      G   /usr/bin/plasmashell                         79MiB |
|    0   N/A  N/A      1571      G   ...5/polkit-kde-authentication-agent-1        1MiB |
|    0   N/A  N/A      1573      G   /usr/libexec/xdg-desktop-portal-kde           1MiB |
|    0   N/A  N/A      1823      G   /usr/libexec/kdeconnectd                      1MiB |
|    0   N/A  N/A      1840      G   /usr/bin/kaccess                              1MiB |
|    0   N/A  N/A      1843      G   /usr/libexec/DiscoverNotifier                 1MiB |
|    0   N/A  N/A      1844      G   /usr/bin/kalendarac                           1MiB |
|    0   N/A  N/A      1954      G   /usr/bin/akonadi_control                      1MiB |
|    0   N/A  N/A      2051      G   /usr/libexec/kf5/kioslave5                    1MiB |
|    0   N/A  N/A      2089      G   /usr/bin/akonadi_akonotes_resource            1MiB |
|    0   N/A  N/A      2090      G   /usr/bin/akonadi_archivemail_agent            1MiB |
|    0   N/A  N/A      2091      G   /usr/bin/akonadi_birthdays_resource           1MiB |
|    0   N/A  N/A      2092      G   /usr/bin/akonadi_contacts_resource            1MiB |
|    0   N/A  N/A      2093      G   .../bin/akonadi_followupreminder_agent        1MiB |
|    0   N/A  N/A      2094      G   /usr/bin/akonadi_ical_resource                1MiB |
|    0   N/A  N/A      2097      G   /usr/bin/akonadi_indexing_agent               1MiB |
|    0   N/A  N/A      2098      G   /usr/bin/akonadi_maildir_resource             1MiB |
|    0   N/A  N/A      2099      G   /usr/bin/akonadi_maildispatcher_agent         1MiB |
|    0   N/A  N/A      2100      G   /usr/bin/akonadi_mailfilter_agent             1MiB |
|    0   N/A  N/A      2103      G   /usr/bin/akonadi_mailmerge_agent              1MiB |
|    0   N/A  N/A      2105      G   /usr/bin/akonadi_migration_agent              1MiB |
|    0   N/A  N/A      2106      G   /usr/bin/akonadi_newmailnotifier_agent        1MiB |
|    0   N/A  N/A      2107      G   /usr/bin/akonadi_sendlater_agent              1MiB |
|    0   N/A  N/A      2111      G   /usr/bin/akonadi_unifiedmailbox_agent         1MiB |
|    0   N/A  N/A      2214      G   /usr/lib64/firefox/firefox                  189MiB |
|    0   N/A  N/A      2679      G   /usr/libexec/baloorunner                      1MiB |
|    0   N/A  N/A      2692      G   /usr/bin/konsole                              1MiB |
+---------------------------------------------------------------------------------------+
[klinda@superleague ~]$ 



All that show that the nvidia driver is installed, but the following shows a problem.

The akmod-nvidia package is missing from that list so it will never build another kmod-nvidia package for a newer kernel
You are also missing the xorg-x11-drv-nvidia-cuda-libs.i686 which always gets installed for me when I install xorg-x11-drv-nvidia-cuda.

Please repeat the command dnf install akmod-nvidia so that package is available to build new drivers when you receive a kernel update.

You show 2 different GPUs, one integrated on the mobo and one nvidia.
Which ports are you connected to with the monitor.? It seems you may be using a DP on the nvidia adapter but I am not 100% certain.

Realistically, since the intel iGPU is active it may be causing the errors even though it does not have a monitor attached.

Is it possible to go into the bios setup and disable the iGPU at the bios level?

Yes the gpu is connected with the display port. Also, I did that command and now it looks like I don’t have that pacakge

klinda@superleague ~]$ dnf list installed \*nvidia\* 
Installed Packages
akmod-nvidia.x86_64                                                               3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
kmod-nvidia-6.5.8-200.fc38.x86_64.x86_64                                          3:535.113.01-1.fc38                                          @@commandline             
nvidia-gpu-firmware.noarch                                                        20231030-1.fc38                                              @updates                  
nvidia-persistenced.x86_64                                                        3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
nvidia-settings.x86_64                                                            3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia.x86_64                                                        3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-cuda.x86_64                                                   3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-cuda-libs.x86_64                                              3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-kmodsrc.x86_64                                                3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-libs.x86_64                                                   3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-power.x86_64                                                  3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
[klinda@superleague ~]$ 

I entered in the bios but I couldn’t find an option to disable the internal gpu of the motherboard. Is possible to remove the drivers on fedora?

I just noticed another automatically installed package that is installed for me but is missing from your list. Missing packages that are installed as dependencies may cause various problems with displays and the system in general.

There are 2 different i686 packages that get automatically installed with a new clean install. I just tested by removing everything then reinstalling it on my system.
The packages xorg-x11-drv-nvidia-cuda-libs.i686 and xorg-x11-drv-nvidia-libs.i686 are both missing from your install listed above.

What I did was a removal with
$ sudo dnf remove \*nvidia\* --exclude nvidia-gpu-firmware --noautoremove
then verified the removal with

 $ dnf list installed *nvidia*
Installed Packages
nvidia-gpu-firmware.noarch                                     20231030-1.fc39                                      @updates-testing

Then finally I did a renistall with
$ sudo dnf install akmod-nvidia xorg-x11-drv-nvidia-cuda
and verified that with

$ dnf list installed \*nvidia\*
Installed Packages
akmod-nvidia.x86_64                                        3:535.129.03-1.fc39                    @rpmfusion-nonfree-updates-testing
kmod-nvidia-6.5.9-300.fc39.x86_64.x86_64                   3:535.129.03-1.fc39                    @@commandline                     
nvidia-gpu-firmware.noarch                                 20231030-1.fc39                        @updates-testing                  
nvidia-persistenced.x86_64                                 3:535.129.03-1.fc39                    @rpmfusion-nonfree-updates-testing
nvidia-settings.x86_64                                     3:535.129.03-1.fc39                    @rpmfusion-nonfree-updates-testing
xorg-x11-drv-nvidia.x86_64                                 3:535.129.03-2.fc39                    @rpmfusion-nonfree-updates-testing
xorg-x11-drv-nvidia-cuda.x86_64                            3:535.129.03-2.fc39                    @rpmfusion-nonfree-updates-testing
xorg-x11-drv-nvidia-cuda-libs.i686                         3:535.129.03-2.fc39                    @rpmfusion-nonfree-updates-testing
xorg-x11-drv-nvidia-cuda-libs.x86_64                       3:535.129.03-2.fc39                    @rpmfusion-nonfree-updates-testing
xorg-x11-drv-nvidia-kmodsrc.x86_64                         3:535.129.03-2.fc39                    @rpmfusion-nonfree-updates-testing
xorg-x11-drv-nvidia-libs.i686                              3:535.129.03-2.fc39                    @rpmfusion-nonfree-updates-testing
xorg-x11-drv-nvidia-libs.x86_64                            3:535.129.03-2.fc39                    @rpmfusion-nonfree-updates-testing
xorg-x11-drv-nvidia-power.x86_64                           3:535.129.03-2.fc39                    @rpmfusion-nonfree-updates-testing

Note that I have the listed i686 packages installed which came in as dependencies when installing both akmod-nvidia and xorg-x11-drv-nvidia-cuda.

Yes, I am already running F39, but those 2 packages are normally installed for the nvidia drivers.

I can’t get them, don’t know the reason:

klinda@superleague ~]$ dnf list installed *nvidia*
Installed Packages
nvidia-gpu-firmware.noarch                                                            20231030-1.fc38                                                            @updates
[klinda@superleague ~]$ sudo dnf install akmod-nvidia xorg-x11-drv-nvidia-cuda
Last metadata expiration check: 0:29:36 ago on Fri 03 Nov 2023 22:56:23 CET.
Dependencies resolved.
=========================================================================================================================================================================
 Package                                          Architecture              Version                                   Repository                                    Size
=========================================================================================================================================================================
Installing:
 akmod-nvidia                                     x86_64                    3:535.113.01-1.fc38                       rpmfusion-nonfree-updates                     40 k
 xorg-x11-drv-nvidia-cuda                         x86_64                    3:535.113.01-1.fc38                       rpmfusion-nonfree-updates                    2.1 M
Installing dependencies:
 nvidia-persistenced                              x86_64                    3:535.113.01-1.fc38                       rpmfusion-nonfree-updates                     35 k
 nvidia-settings                                  x86_64                    3:535.113.01-1.fc38                       rpmfusion-nonfree-updates                    1.6 M
 xorg-x11-drv-nvidia                              x86_64                    3:535.113.01-1.fc38                       rpmfusion-nonfree-updates                    159 M
 xorg-x11-drv-nvidia-cuda-libs                    x86_64                    3:535.113.01-1.fc38                       rpmfusion-nonfree-updates                     40 M
 xorg-x11-drv-nvidia-kmodsrc                      x86_64                    3:535.113.01-1.fc38                       rpmfusion-nonfree-updates                     47 M
 xorg-x11-drv-nvidia-libs                         x86_64                    3:535.113.01-1.fc38                       rpmfusion-nonfree-updates                     65 M
Installing weak dependencies:
 xorg-x11-drv-nvidia-power                        x86_64                    3:535.113.01-1.fc38                       rpmfusion-nonfree-updates                    200 k

Transaction Summary
=========================================================================================================================================================================
Install  9 Packages

Total download size: 315 M
Installed size: 747 M
Is this ok [y/N]: y
Downloading Packages:
(1/9): akmod-nvidia-535.113.01-1.fc38.x86_64.rpm                                                                                         243 kB/s |  40 kB     00:00    
(2/9): nvidia-persistenced-535.113.01-1.fc38.x86_64.rpm                                                                                  202 kB/s |  35 kB     00:00    
(3/9): nvidia-settings-535.113.01-1.fc38.x86_64.rpm                                                                                      3.1 MB/s | 1.6 MB     00:00    
(4/9): xorg-x11-drv-nvidia-cuda-535.113.01-1.fc38.x86_64.rpm                                                                             1.4 MB/s | 2.1 MB     00:01    
(5/9): xorg-x11-drv-nvidia-cuda-libs-535.113.01-1.fc38.x86_64.rpm                                                                        3.4 MB/s |  40 MB     00:11    
(6/9): xorg-x11-drv-nvidia-kmodsrc-535.113.01-1.fc38.x86_64.rpm                                                                          3.0 MB/s |  47 MB     00:15    
(7/9): xorg-x11-drv-nvidia-power-535.113.01-1.fc38.x86_64.rpm                                                                            1.4 MB/s | 200 kB     00:00    
(8/9): xorg-x11-drv-nvidia-libs-535.113.01-1.fc38.x86_64.rpm                                                                             3.7 MB/s |  65 MB     00:17    
(9/9): xorg-x11-drv-nvidia-535.113.01-1.fc38.x86_64.rpm                                                                                  4.6 MB/s | 159 MB     00:34    
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                    8.9 MB/s | 315 MB     00:35     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                                                 1/1 
  Installing       : xorg-x11-drv-nvidia-cuda-libs-3:535.113.01-1.fc38.x86_64                                                                                        1/9 
  Installing       : xorg-x11-drv-nvidia-libs-3:535.113.01-1.fc38.x86_64                                                                                             2/9 
  Installing       : xorg-x11-drv-nvidia-kmodsrc-3:535.113.01-1.fc38.x86_64                                                                                          3/9 
  Installing       : nvidia-settings-3:535.113.01-1.fc38.x86_64                                                                                                      4/9 
  Installing       : xorg-x11-drv-nvidia-power-3:535.113.01-1.fc38.x86_64                                                                                            5/9 
  Running scriptlet: xorg-x11-drv-nvidia-power-3:535.113.01-1.fc38.x86_64                                                                                            5/9 
Created symlink /etc/systemd/system/systemd-hibernate.service.wants/nvidia-hibernate.service → /usr/lib/systemd/system/nvidia-hibernate.service.
Created symlink /etc/systemd/system/multi-user.target.wants/nvidia-powerd.service → /usr/lib/systemd/system/nvidia-powerd.service.
Created symlink /etc/systemd/system/systemd-suspend.service.wants/nvidia-resume.service → /usr/lib/systemd/system/nvidia-resume.service.
Created symlink /etc/systemd/system/systemd-hibernate.service.wants/nvidia-resume.service → /usr/lib/systemd/system/nvidia-resume.service.
Created symlink /etc/systemd/system/systemd-suspend.service.wants/nvidia-suspend.service → /usr/lib/systemd/system/nvidia-suspend.service.

  Running scriptlet: xorg-x11-drv-nvidia-3:535.113.01-1.fc38.x86_64                                                                                                  6/9 
  Installing       : xorg-x11-drv-nvidia-3:535.113.01-1.fc38.x86_64                                                                                                  6/9 
  Running scriptlet: xorg-x11-drv-nvidia-3:535.113.01-1.fc38.x86_64                                                                                                  6/9 
  Installing       : akmod-nvidia-3:535.113.01-1.fc38.x86_64                                                                                                         7/9 
  Running scriptlet: akmod-nvidia-3:535.113.01-1.fc38.x86_64                                                                                                         7/9 
  Installing       : nvidia-persistenced-3:535.113.01-1.fc38.x86_64                                                                                                  8/9 
  Running scriptlet: nvidia-persistenced-3:535.113.01-1.fc38.x86_64                                                                                                  8/9 
  Installing       : xorg-x11-drv-nvidia-cuda-3:535.113.01-1.fc38.x86_64                                                                                             9/9 
  Running scriptlet: akmod-nvidia-3:535.113.01-1.fc38.x86_64                                                                                                         9/9 
  Running scriptlet: xorg-x11-drv-nvidia-cuda-3:535.113.01-1.fc38.x86_64                                                                                             9/9 
  Verifying        : akmod-nvidia-3:535.113.01-1.fc38.x86_64                                                                                                         1/9 
  Verifying        : nvidia-persistenced-3:535.113.01-1.fc38.x86_64                                                                                                  2/9 
  Verifying        : nvidia-settings-3:535.113.01-1.fc38.x86_64                                                                                                      3/9 
  Verifying        : xorg-x11-drv-nvidia-3:535.113.01-1.fc38.x86_64                                                                                                  4/9 
  Verifying        : xorg-x11-drv-nvidia-cuda-3:535.113.01-1.fc38.x86_64                                                                                             5/9 
  Verifying        : xorg-x11-drv-nvidia-cuda-libs-3:535.113.01-1.fc38.x86_64                                                                                        6/9 
  Verifying        : xorg-x11-drv-nvidia-kmodsrc-3:535.113.01-1.fc38.x86_64                                                                                          7/9 
  Verifying        : xorg-x11-drv-nvidia-libs-3:535.113.01-1.fc38.x86_64                                                                                             8/9 
  Verifying        : xorg-x11-drv-nvidia-power-3:535.113.01-1.fc38.x86_64                                                                                            9/9 

Installed:
  akmod-nvidia-3:535.113.01-1.fc38.x86_64                 nvidia-persistenced-3:535.113.01-1.fc38.x86_64       nvidia-settings-3:535.113.01-1.fc38.x86_64               
  xorg-x11-drv-nvidia-3:535.113.01-1.fc38.x86_64          xorg-x11-drv-nvidia-cuda-3:535.113.01-1.fc38.x86_64  xorg-x11-drv-nvidia-cuda-libs-3:535.113.01-1.fc38.x86_64 
  xorg-x11-drv-nvidia-kmodsrc-3:535.113.01-1.fc38.x86_64  xorg-x11-drv-nvidia-libs-3:535.113.01-1.fc38.x86_64  xorg-x11-drv-nvidia-power-3:535.113.01-1.fc38.x86_64     

Complete!

[klinda@superleague ~]$ dnf list installed \*nvidia\*
Installed Packages
akmod-nvidia.x86_64                                                               3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
kmod-nvidia-6.5.8-200.fc38.x86_64.x86_64                                          3:535.113.01-1.fc38                                          @@commandline             
nvidia-gpu-firmware.noarch                                                        20231030-1.fc38                                              @updates                  
nvidia-persistenced.x86_64                                                        3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
nvidia-settings.x86_64                                                            3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia.x86_64                                                        3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-cuda.x86_64                                                   3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-cuda-libs.x86_64                                              3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-kmodsrc.x86_64                                                3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-libs.x86_64                                                   3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-power.x86_64                                                  3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
[klinda@superleague ~]$ 

Hmmmm
Is there a chance you may have told dnf to never install i686 packages?

Please post the output of cat /etc/dnf/dnf.conf

The output is:

[klinda@superleague ~]$ cat /etc/dnf/dnf.conf
# see `man dnf.conf` for defaults and possible options

[main]
gpgcheck=True
installonly_limit=3
clean_requirements_on_remove=True
best=False
skip_if_unavailable=True
[klinda@superleague ~]$ 

What if you tried installing those 2 explicitly
dnf install xorg-x11-drv-nvidia-cuda-libs.i686 xorg-x11-drv-nvidia-libs.i686

While I cannot confirm this is the issue, it seems strange that your install did not pull them in.

It installed many dependencies but now I have this, however I don’t belive that’s the reason, but let’s see if it brokes again:

klinda@superleague ~]$ dnf list installed \*nvidia\*
Installed Packages
akmod-nvidia.x86_64                                                               3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
kmod-nvidia-6.5.8-200.fc38.x86_64.x86_64                                          3:535.113.01-1.fc38                                          @@commandline             
nvidia-gpu-firmware.noarch                                                        20231030-1.fc38                                              @updates                  
nvidia-persistenced.x86_64                                                        3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
nvidia-settings.x86_64                                                            3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia.x86_64                                                        3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-cuda.x86_64                                                   3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-cuda-libs.i686                                                3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-cuda-libs.x86_64                                              3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-kmodsrc.x86_64                                                3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-libs.i686                                                     3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-libs.x86_64                                                   3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
xorg-x11-drv-nvidia-power.x86_64                                                  3:535.113.01-1.fc38                                          @rpmfusion-nonfree-updates
[klinda@superleague ~]$ 

Will have to wait and see.

I hope you rebooted after that install so everything is properly loaded.

Nope it doesn’t work, glitched again. (the time freeze, can’t really click on bottom icons)
if it can help you:

[klinda@superleague nerfstudio]$ kquitapp5 plasmashell || killall plasmashell && kstart5 plasmashell
Omitting both --window and --windowclass arguments is not recommended
[klinda@superleague nerfstudio]$ kf.plasma.quick: Applet preload policy set to 1
file:///usr/lib64/qt5/qml/org/kde/kirigami.2/templates/InlineMessage.qml:265:13: QML SelectableLabel: Binding loop detected for property "implicitWidth"
qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
org.kde.plasma.containmentlayoutmanager: Error: cannot change the containment to AppletsLayout
QObject::connect: No such slot DesktopProtocol::_k_slotRedirection(KIO::Job *, QUrl)
QObject::connect: No such slot DesktopProtocol::_k_slotRedirection(KIO::Job *, QUrl)
QObject::connect: No such slot DesktopProtocol::_k_slotRedirection(KIO::Job *, QUrl)
qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
Trying to use rootObject before initialization is completed, whilst using setInitializationDelayed. Forcing completion
qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
Cyclic dependency detected between "file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/global/Globals.qml" and "file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/ThumbnailStrip.qml"
Cyclic dependency detected between "file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/global/Globals.qml" and "file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/NotificationHeader.qml"
file:///usr/share/plasma/plasmoids/org.kde.plasma.networkmanagement/contents/ui/main.qml:95: TypeError: Cannot read property 'airplaneModeAvailable' of null
file:///usr/share/plasma/plasmoids/org.kde.plasma.networkmanagement/contents/ui/main.qml:95: TypeError: Cannot read property 'airplaneModeAvailable' of null
file:///usr/share/plasma/plasmoids/org.kde.plasma.private.systemtray/contents/ui/main.qml:18:1: QML MouseArea (parent or ancestor of QQuickLayoutAttached): Binding loop detected for property "minimumWidth"
Both point size and pixel size set. Using pixel size.
file:///usr/share/plasma/plasmoids/org.kde.plasma.digitalclock/contents/ui/Tooltip.qml:78:9: QML GridLayout (parent or ancestor of QQuickLayoutAttached): Binding loop detected for property "minimumWidth"
org.kde.plasma.containmentlayoutmanager: Error: cannot change the containment to AppletsLayout
qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
QObject::connect: No such slot DesktopProtocol::_k_slotRedirection(KIO::Job *, QUrl)
file:///usr/share/plasma/plasmoids/org.kde.plasma.battery/contents/ui/CompactRepresentation.qml:61:17: Unable to assign [undefined] to int
QFont::setPointSizeF: Point size <= 0 (0.000000), must be greater than 0
QObject::connect: No such slot DesktopProtocol::_k_slotRedirection(KIO::Job *, QUrl)
QFont::setPointSizeF: Point size <= 0 (0.000000), must be greater than 0
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"
kf5idletime_wayland: This plugin does not support polling idle time
file:///usr/share/plasma/plasmoids/org.kde.plasma.devicenotifier/contents/ui/DeviceItem.qml:36:5: Unable to assign [undefined] to bool
file:///usr/share/plasma/plasmoids/org.kde.plasma.devicenotifier/contents/ui/DeviceItem.qml:35:5: Unable to assign [undefined] to bool
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"


All those errors you have posted have been when using wayland.
Have you by chance tried logging in with xorg to see of there may be a difference.?
I seem to remember that until recently kde/plasma used xorg by default.

That seems to be required if you have mesa-libGL.i686 installed

dnf repoquery  --requires xorg-x11-drv-nvidia-cuda-3:535.113.01-1.fc38.x86_64

(xorg-x11-drv-nvidia-cuda-libs(x86-32) = 3:535.113.01-1.fc38 if mesa-libGL(x86-32))
ld-linux-x86-64.so.2()(64bit)
...

I got x11 let’s see how it goes (in the login page I just changed it). However it seems now I have another problem that before there wasn’t, sometimes the system don’t boot and I need to turn off and on to hope it gets to the login screen. Probably are the new packages did I install?

In the grub menu you can edit (press “e”) the command line to remove the “rhgb quiet” and see error messages while booting, but on fast machines they can go by faster than you can read them. Alternatively, once you have a successful boot, How to Check Logs Using Journalctl, Arch Linux Systemd Journal, and man journalctl all explain how to view messages from a previous boot. Journalctl is very powerful, but there is a lot of detail in the logs so it takes some effort to find entries relevant to your problem. These may help understand the problem. It can be useful to know if you get the same error for every failed boot, no error, or a variety of errors. Note that there are lots of “Master journalctl in 5 minutes” guides that heavily plagerize better quality documents, and mastering journactl takes days, not minutes.

Is you system booting more than one OS? Sometimes the order in which you use different OS’s after tuning one the power makes a difference, due to differences in device initialization.

Update on the freezes: Seems that now the problems occur later or rarely. For example, I was seeing a streaming video and the computer freezed. To see the video I did these commands wrote there Installing plugins for playing movies and music :: Fedora Docs :

klinda@superleague ~]$ sudo dnf install gstreamer1-plugins-{bad-\*,good-\*,base} gstreamer1-plugin-openh264 gstreamer1-libav --exclude=gstreamer1-plugins-bad-free-devel

sudo dnf install lame\* --exclude=lame-devel

sudo dnf group upgrade --with-optional Multimedia
[sudo] password for klinda: 
Last metadata expiration check: 3:52:16 ago on Sat 04 Nov 2023 16:21:28 CET.
Package gstreamer1-plugins-bad-free-1.22.5-1.fc38.x86_64 is already installed.
Package gstreamer1-plugins-bad-free-extras-1.22.5-1.fc38.x86_64 is already installed.
Package gstreamer1-plugins-bad-free-fluidsynth-1.22.5-1.fc38.x86_64 is already installed.
Package gstreamer1-plugins-bad-free-wildmidi-1.22.5-1.fc38.x86_64 is already installed.
Package gstreamer1-plugins-bad-free-zbar-1.22.5-1.fc38.x86_64 is already installed.
Package gstreamer1-plugins-bad-freeworld-1:1.22.5-1.fc38.x86_64 is already installed.
Package gstreamer1-plugins-good-extras-1.22.5-1.fc38.x86_64 is already installed.
Package gstreamer1-plugins-good-gtk-1.22.5-1.fc38.x86_64 is already installed.
Package gstreamer1-plugins-good-qt-1.22.5-1.fc38.x86_64 is already installed.
Package gstreamer1-plugins-good-qt6-1.22.5-1.fc38.x86_64 is already installed.
Package gstreamer1-plugins-base-1.22.5-1.fc38.x86_64 is already installed.
Package gstreamer1-plugin-openh264-1.22.1-1.fc38.x86_64 is already installed.
Package gstreamer1-plugin-libav-1.22.5-1.fc38.x86_64 is already installed.
Dependencies resolved.
Nothing to do.
Complete!
Last metadata expiration check: 3:52:18 ago on Sat 04 Nov 2023 16:21:28 CET.
Package lame-3.100-14.fc38.x86_64 is already installed.
Package lame-libs-3.100-14.fc38.x86_64 is already installed.
Dependencies resolved.
Nothing to do.
Complete!
Last metadata expiration check: 3:52:19 ago on Sat 04 Nov 2023 16:21:28 CET.
No match for group package "gimp-heif-plugin"
Error: 
 Problem 1: problem with installed package libswscale-free-6.0-5.fc38.x86_64
  - package ffmpeg-libs-6.0-6.fc38.x86_64 from rpmfusion-free conflicts with libswscale-free provided by libswscale-free-6.0-5.fc38.x86_64 from @System
  - package ffmpeg-libs-6.0-6.fc38.x86_64 from rpmfusion-free conflicts with libswscale-free provided by libswscale-free-6.0-2.fc38.x86_64 from fedora
  - package ffmpeg-libs-6.0-6.fc38.x86_64 from rpmfusion-free conflicts with libswscale-free provided by libswscale-free-6.0-5.fc38.x86_64 from updates
  - package ffmpeg-6.0-6.fc38.x86_64 from rpmfusion-free requires ffmpeg-libs(x86-64) = 6.0-6.fc38, but none of the providers can be installed
  - conflicting requests
  - package ffmpeg-6.0-11.fc38.x86_64 from rpmfusion-free-updates requires ffmpeg-libs(x86-64) = 6.0-11.fc38, but none of the providers can be installed
  - package ffmpeg-libs-6.0-11.fc38.x86_64 from rpmfusion-free-updates conflicts with libswscale-free provided by libswscale-free-6.0-5.fc38.x86_64 from @System
  - package ffmpeg-libs-6.0-11.fc38.x86_64 from rpmfusion-free-updates conflicts with libswscale-free provided by libswscale-free-6.0-2.fc38.x86_64 from fedora
  - package ffmpeg-libs-6.0-11.fc38.x86_64 from rpmfusion-free-updates conflicts with libswscale-free provided by libswscale-free-6.0-5.fc38.x86_64 from updates
 Problem 2: ffmpeg-libs-6.0-6.fc38.i686 from rpmfusion-free  does not belong to a distupgrade repository
  - conflicting requests
  - problem with installed package libavcodec-free-6.0-5.fc38.x86_64
  - package ffmpeg-libs-6.0-6.fc38.x86_64 from rpmfusion-free conflicts with libavcodec-free provided by libavcodec-free-6.0-5.fc38.x86_64 from @System
  - package ffmpeg-libs-6.0-6.fc38.x86_64 from rpmfusion-free conflicts with libavcodec-free provided by libavcodec-free-6.0-2.fc38.x86_64 from fedora
  - package ffmpeg-libs-6.0-6.fc38.x86_64 from rpmfusion-free conflicts with libavcodec-free provided by libavcodec-free-6.0-5.fc38.x86_64 from updates
  - ffmpeg-libs-6.0-11.fc38.i686 from rpmfusion-free-updates  does not belong to a distupgrade repository
  - package ffmpeg-libs-6.0-11.fc38.x86_64 from rpmfusion-free-updates conflicts with libavcodec-free provided by libavcodec-free-6.0-5.fc38.x86_64 from @System
  - package ffmpeg-libs-6.0-11.fc38.x86_64 from rpmfusion-free-updates conflicts with libavcodec-free provided by libavcodec-free-6.0-2.fc38.x86_64 from fedora
  - package ffmpeg-libs-6.0-11.fc38.x86_64 from rpmfusion-free-updates conflicts with libavcodec-free provided by libavcodec-free-6.0-5.fc38.x86_64 from updates
  - problem with installed package firefox-119.0-1.fc38.x86_64
  - package ffmpeg-libs-6.0-6.fc38.i686 from rpmfusion-free conflicts with libavcodec-free provided by libavcodec-free-6.0-2.fc38.x86_64 from fedora
  - package ffmpeg-libs-6.0-11.fc38.i686 from rpmfusion-free-updates conflicts with libavcodec-free provided by libavcodec-free-6.0-2.fc38.x86_64 from fedora
  - package ffmpeg-libs-6.0-6.fc38.i686 from rpmfusion-free conflicts with libavcodec-free provided by libavcodec-free-6.0-5.fc38.x86_64 from updates
  - package ffmpeg-libs-6.0-11.fc38.i686 from rpmfusion-free-updates conflicts with libavcodec-free provided by libavcodec-free-6.0-5.fc38.x86_64 from updates
  - package ffmpeg-libs-6.0-6.fc38.i686 from rpmfusion-free conflicts with libavcodec-free provided by libavcodec-free-6.0-5.fc38.x86_64 from @System
  - package ffmpeg-libs-6.0-11.fc38.i686 from rpmfusion-free-updates conflicts with libavcodec-free provided by libavcodec-free-6.0-5.fc38.x86_64 from @System
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages)
[klinda@superleague ~]$ 

For the other question: yes I use dual boot with windows and in windows i don’t have any problem. If I remove that queit option I see al the tests that are passed with “ok”, but then it doesn’t reach the login screen, I have to try few times.

Have you fully upgraded all Fedora packages and also device firmware? When you report problems it is best to fully update so a) others will have the same cnfigurations and b) you aren’t wasting time on bugs that have been fixed.

Many vendors have been updating the “BIOS” and device drivers so it can be hard to keep up. Linux has fwupd which is supported by many of the major vendors. For others you may need to visit the vendor site while running windows.

This seems to indicate that you probably need to do the following to solve those conflicts.

dnf swap libavcodec-free libavcodec-freeworld --allowerasing
This will remove several “*-free” packages from fedora and install the ones from rpmfusion that have additional codecs.

I have found that the multimedia documentation at fedora docs is not quite up to date with more recent changes in fedora.